# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define A = Character('Apple', color="#f36bae")

image chara_apple = "NPC_Apple_norm.png"
image A_Happy = "NPC_Apple_happy.png"
image A_Sad = "NPC_Apple_sad.png"
image A_Talky = "NPC_Apple_talky.png"

image bg_black = "bg_black.png"
image bg_RCake = "bg_2doors1.png"
image bg_Eroom = "bg_empty2.png"
image bg_OS = "bg_outside.png"

# NOTES
# Door on left is titled "Safe"
# Door on right is titled "Posion"

# Variable
define cake = 3
define eatable = False
define safe_door = False
define poison_door = False
define apple_alive = True

# The game starts here.
label Room_Cake:
# game set up
    $ randfloat = renpy.random.randint(1, 2)
    $ cake = randfloat

    if cake == 1:
        $ eatable = True 
        $ safe_door = True
        $ poison_door = False
        #"cake is safe to eat!"


    if cake == 2:
        $ eatable = False
        $ poison_door = True
        $ safe_door = False
        #"Cake is poisonous"
#plot starts here
    show A_Sad
    A "*Cough* *Cough*"
    hide A_Sad

    show chara_apple
    A "...Thanks."

    P "Are you alright?"

    A "Yeah. I'm ok."
    hide chara_apple

    show A_Sad
    A "I'm doing better then him for sure."

    P "C’mon. We shouldn’t stay here for too long."
    hide A_Sad

    "Apple and I leave Guy behind in his tank."

    scene bg_RCake
    with Dissolve (.5)
    pause .5

    "In the new room there are two doors. One door is marked \'POISON\' while the other is marked \'SAFE\'"

    "There is a piece of cake sitting on a table in the center of the room."

    P "I wonder how old this is."

    show A_Happy
    A "It looks fresh. Like it was cooked today."
    hide A_Happy

    "Apple goes and looks at the doors."

    P "{i}Oh, there's a note here.{/i}"

    "Apple is still busy looking around."
    
    "\'The cake is either poisonous or it’s safe. If it’s safe, go through the safe door. If it’s poisonous take the poison door. The right door will lead you to freedom.\'"

    P "{i}I have no idea how old this cake it. It’s probably poison.{/i}" 

    P "{i}But do I really want to guess?{/i}"

    P "{i}...{/i}"

    P "{i}I could get Apple to check for poison...{/i}"

    P "{i}...Or I could just guess...{/i}"

menu:
    "Guess which door will lead to freedom": 
        jump guess

    "Use Apple as a taste tester":
        jump taste

label guess:
    P "{i} 50-50 chance is better than risking Apple’s life.{/i}"
    
    P "{i}So which door is it going to be...{/i}"
    
menu: 
    "\'Safe door\'":
        jump safe_door_pick

    "\'Posion door\'":
        jump poison_door_pick

label safe_door_pick:
    show A_Happy
    P "Hey, let's go! We're taking the \'SAFE\' door."

    A "Alright, coming!"
    hide A_Happy
    
    "Apple and I step through..."
    
    if safe_door == True:
        scene bg_OS
        with Dissolve (.5)
        pause .5

        P "..."

        show A_Talky
        A "We're outside"
        hide A_Talky

        show A_Happy
        P "We did it! We escaped!"
        hide A_Happy

        scene bg_black
        with Dissolve (.5)
        " "

        "END"
        jump cake_end

    else: 
        scene bg_Eroom
        with Dissolve (.5)

        show A_Sad
        A "Where is this place?"

        P "I don't know..."

        P "{i}I guess I picked the wrong door.{/i}"
        hide A_Sad
        show chara_apple
        P "C'mon, let's keep moving."

        A "Alright."
        hide chara_apple

        scene bg_black
        with Dissolve (.5)
        " "

        "END"
        jump cake_end

label poison_door_pick:
    show chara_apple
    P "Hey, let's get out of here."

    A "Alright. Which door are we taking?"

    P "The \'POISON\' one."
    hide chara_apple

    if poison_door == True:
        scene bg_OS
        with Dissolve (.5)
        pause .5

        P "..."

        show A_Happy
        A "We're outside"

        P "We did it! We escaped!"
        hide A_Happy
        
        scene bg_black
        with Dissolve (.5)

        " "

        "END"
        jump cake_end
    
    else: 
        scene bg_Eroom
        with Dissolve (.5)

        P "..."
        
        show A_Sad
        A "Where is this place?"

        P "I don't know..."

        P "{i}I guess I picked the wrong door.{/i}"
        hide A_Sad

        show chara_apple
        P "C'mon, let's keep moving."

        A "Alright."
        hide chara_apple

        scene bg_black
        with Dissolve (.5)
        
        " "

        "END"
        jump cake_end
    
label taste:
    P "{i}A 50-50 guess isn’t going to be good enough.{/i}"

    P "Hey! Wanna have some cake?"

    show A_Happy
    A "Really?!"

    P "Yeah. You must be hungry."

    A "I am. But what about you?"

    P "I'm fine."

    A "Alright! Thanks!"

    P "{i}Good thing Apple thinks with her stomach and not with her head.{/i}"

    P "{i}Now, what's going to happen?{/i}"
    hide A_Happy

    if eatable == False:
        $ apple_alive = False
    
    "Apple takes a bite of the cake."

    if apple_alive == True:
        P "{i}Nothing.{/i}"

        P "{i}The cake must have been safe.{/i}"

        P "Alright. Time to leave. I think we should take the \'SAFE\' door."

        show A_Happy
        A "Ok!"
        hide A_Happy

        scene bg_OS
        with Dissolve (.5)

        "Apple and I manage to escaped."

        "We never see Geek or Lady again. I wonder if they are still trapped?"

        scene bg_black
        with Dissolve (.5)

        "END"
        jump cake_end
    
    if apple_alive == False:
        "Suddenly Apple falls over. Just like that Apple was dead." 
    
        P "{i}The cake must have been poisonous.{/i}"

        P "Thanks Apple." 

        scene bg_OS
        with Dissolve (.5)

        "Apple and Guy both died."

        "I never knew what happened to Lady and Geek."

        "But I escaped."

        scene bg_black
        with Dissolve (.5) 

        "END"
        jump cake_end

label cake_end:
return
